{% extends 'partials/base.html.twig' %}

{% macro pageLinkName(text) %}{{ text|lower|replace({' ':'_'}) }}{% endmacro %}

{% block javascripts %}
    {% do assets.add('theme://js/singlepagenav.min.js') %}

    {{ parent() }}

{% endblock %}

{% block bottom %}
    {{ parent() }}

    <script>
    // singlePageNav initialization & configuration
    $('nav').singlePageNav({
        offset: $('#header').outerHeight(),
        filter: 'a[href*="#"]',
        updateHash: true,
        currentClass: 'active',
        beforeStart: function() {
            if ($('body').hasClass('mobile-nav-open')) {
                $('#toggle').removeClass('active');
                $('#overlay').removeClass('open');
                $('body').removeClass('mobile-nav-open');
            }
        }
    });
    </script>

{% endblock %}

{% block hero %}
    {% for module in page.collection() if module.template == 'modular/hero' %}
        <div id="{{ _self.pageLinkName(module.menu) }}"></div>
        {{ module.content }}
    {% endfor %}

{% endblock %}

{% block body %}
    {% for module in page.collection() if module.template != 'modular/hero' %}
        <div id="{{ _self.pageLinkName(module.menu) }}"></div>
        {{ module.content }}
    {% endfor %}

{% endblock %}
